Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.ext.msg
Interface MessageInfoInterface

All Known Implementing Classes:
  MessageInfo

    public interface MessageInfoInterface

This class represents the message configuration information.

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2005/09/03 06:34:03 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`int` | `getBytesToRead()` Returns the value of bytesToRead.
`java.lang.String` | `getCustomEnvelopedClassName()` Returns the customEnvelopedClassName.
`java.lang.String` | `getCustomerDefinedProperty()` Returns the customerDefinedProperty.
`java.lang.String` | `getEnvelopeType()` Returns the envelopeType.
`char` | `getIgnoreUntilChar()` Returns the ignoreUntilChar.
`java.lang.String` | `getNumericRepresentation()` Returns the numericRepresentation.
`char` | `getStoreUntilChar()` Returns the storeUntilChar.
`int` | `getWidthOfLength()` Returns the widthOfLength.
`boolean` | `isBeginEndMarkedMsg()` Checks whether the envelope type is BeginEndMarked.
`boolean` | `isCustomEnvelopedMsg()` Checks whether the envelope type is Custom (user-defined).
`boolean` | `isEndMarkedMsg()` Checks whether the envelope type is EndMarked.
`boolean` | `isFixedLengthMsg()` Checks whether the envelope type is FixedLength.
`boolean` | `isLengthPrefixedMsg()` Checks whether the envelope type is LengthPrefixed.
`boolean` | `isMarkedAndFixedMsg()` Checks whether the envelope type is MarkedAndFixed.
`boolean` | `isNumericRepDecimal()` Checks whether the NumericRep is Decimal.
`boolean` | `isNumericRepHexadecimal()` Checks whether the NumericRep is Hexadecimal.
`boolean` | `isNumericRepNetworkLong()` Checks whether the NumericRep Network Long.
`boolean` | `isNumericRepNetworkShort()` Checks whether the NumericRep is Network Short.
`boolean` | `isNumericRepOctal()` Checks whether the NumericRep is Octal.
`boolean` | `isPerActiveConnectionMsg()` Checks whether the envelope type is PerActiveConnection.
`void` | `setBytesToRead(int bytesToRead)` Sets the bytesToRead.
`void` | `setCustomEnvelopedClassName(java.lang.String customEnvelopedClassName)` Sets the customEnvelopedClassName.
`void` | `setCustomerDefinedProperty(java.lang.String customerDefinedProperty)` Sets the customerDefinedProperty.
`void` | `setEnvelopeType(java.lang.String envelopeType)` Sets the envelopeType.
`void` | `setIgnoreUntilChar(char ignoreUntilChar)` Sets the ignoreUntilChar.
`void` | `setNumericRepresentation(java.lang.String numericRepresentation)` Sets the numericRepresentation.
`void` | `setStoreUntilChar(char storeUntilChar)` Sets the storeUntilChar.
`void` | `setWidthOfLength(int widthOfLength)` Sets the widthOfLength.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getBytesToRead

    int getBytesToRead()

  Returns the value of bytesToRead.

  Returns:
    The value of bytesToRead.

### getEnvelopeType

    java.lang.String getEnvelopeType()

  Returns the envelopeType.

  Returns:
    the envelopeType.

### getCustomEnvelopedClassName

    java.lang.String getCustomEnvelopedClassName()

  Returns the customEnvelopedClassName. It will be used when the users want to define their own enveloped message style.

  Returns:
    the customEnvelopedClassName.

### getCustomerDefinedProperty

    java.lang.String getCustomerDefinedProperty()

  Returns the customerDefinedProperty. It would contain a list of user-defined parameters and it is up to the user to parse this in user's customized envelope message implementation.

  Returns:
    the customerDefinedProperty.

### getIgnoreUntilChar

    char getIgnoreUntilChar()

  Returns the ignoreUntilChar.

  Returns:
    the ignoreUntilChar.

### getNumericRepresentation

    java.lang.String getNumericRepresentation()

  Returns the numericRepresentation.

  Returns:
    the numericRepresentation.

### getStoreUntilChar

    char getStoreUntilChar()

  Returns the storeUntilChar.

  Returns:
    the storeUntilChar.

### getWidthOfLength

    int getWidthOfLength()

  Returns the widthOfLength.

  Returns:
    the widthOfLength.

### isNumericRepDecimal

    boolean isNumericRepDecimal()

  Checks whether the NumericRep is Decimal.

  Returns:
    boolean

### isNumericRepHexadecimal

    boolean isNumericRepHexadecimal()

  Checks whether the NumericRep is Hexadecimal.

  Returns:
    boolean

### isNumericRepOctal

    boolean isNumericRepOctal()

  Checks whether the NumericRep is Octal.

  Returns:
    boolean

### isNumericRepNetworkShort

    boolean isNumericRepNetworkShort()

  Checks whether the NumericRep is Network Short.

  Returns:
    boolean

### isNumericRepNetworkLong

    boolean isNumericRepNetworkLong()

  Checks whether the NumericRep Network Long.

  Returns:
    boolean

### isBeginEndMarkedMsg

    boolean isBeginEndMarkedMsg()

  Checks whether the envelope type is BeginEndMarked.

  Returns:
    boolean

### isEndMarkedMsg

    boolean isEndMarkedMsg()

  Checks whether the envelope type is EndMarked.

  Returns:
    boolean

### isFixedLengthMsg

    boolean isFixedLengthMsg()

  Checks whether the envelope type is FixedLength.

  Returns:
    boolean

### isLengthPrefixedMsg

    boolean isLengthPrefixedMsg()

  Checks whether the envelope type is LengthPrefixed.

  Returns:
    boolean

### isMarkedAndFixedMsg

    boolean isMarkedAndFixedMsg()

  Checks whether the envelope type is MarkedAndFixed.

  Returns:
    boolean

### isPerActiveConnectionMsg

    boolean isPerActiveConnectionMsg()

  Checks whether the envelope type is PerActiveConnection.

  Returns:
    boolean

### isCustomEnvelopedMsg

    boolean isCustomEnvelopedMsg()

  Checks whether the envelope type is Custom (user-defined).

  Returns:
    boolean

### setBytesToRead

    void setBytesToRead(int bytesToRead)
                        throws TCPIPApplicationException

  Sets the bytesToRead.

  Parameters:
    `bytesToRead` - The bytesToRead to set
  Throws:
    `TCPIPApplicationException` - on error

### setEnvelopeType

    void setEnvelopeType(java.lang.String envelopeType)
                         throws TCPIPApplicationException

  Sets the envelopeType.

  Parameters:
    `envelopeType` - The envelopeType to set
  Throws:
    `TCPIPApplicationException` - on error

### setCustomEnvelopedClassName

    void setCustomEnvelopedClassName(java.lang.String customEnvelopedClassName)

  Sets the customEnvelopedClassName. The name should be a full class name. It will be used when the users want to define their own enveloped message style. The customer-defined envelope implementation class should satisfy following requirements:

           - It should represent a solid class.
           - It should have a constructor with an empty argument list.
           - It should be a type of com.stc.connector.tcpip.ext.msg.EnvelopedMsgReceiver.
           - It should be a type of com.stc.connector.tcpip.ext.msg.EnvelopedMsgSender.

  Parameters:
    `customEnvelopedClassName` - The customEnvelopedClassName to set

### setCustomerDefinedProperty

    void setCustomerDefinedProperty(java.lang.String customerDefinedProperty)

  Sets the customerDefinedProperty. It would contain a list of user-defined parameters and it is up to the user to parse this in user's customized envelope message implementation.

  Parameters:
    `customerDefinedProperty` - The customerDefinedProperty to set

### setIgnoreUntilChar

    void setIgnoreUntilChar(char ignoreUntilChar)
                            throws TCPIPApplicationException

  Sets the ignoreUntilChar.

  Parameters:
    `ignoreUntilChar` - The ignoreUntilChar to set
  Throws:
    `TCPIPApplicationException` - on error

### setNumericRepresentation

    void setNumericRepresentation(java.lang.String numericRepresentation)
                                  throws TCPIPApplicationException

  Sets the numericRepresentation. The valid numeric representations are:

          . Decimal
          . Hexadecimal
          . Octal
          . Network Long
          . Network Short

  Parameters:
    `numericRepresentation` - The numericRepresentation to set
  Throws:
    `TCPIPApplicationException` - on error

### setStoreUntilChar

    void setStoreUntilChar(char storeUntilChar)
                           throws TCPIPApplicationException

  Sets the storeUntilChar.

  Parameters:
    `storeUntilChar` - The storeUntilChar to set
  Throws:
    `TCPIPApplicationException` - on error

### setWidthOfLength

    void setWidthOfLength(int widthOfLength)
                          throws TCPIPApplicationException

  Sets the widthOfLength.

  Parameters:
    `widthOfLength` - The widthOfLength to set
  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD